{% extends 'main/base.html' %}

{% block content %}
  
    <div class="container">
        <div class="row">
            <div class="col-lg-8 col-md-10 ml-auto mr-auto">

                <div class="section">
                        <div class="container">
                            <h2 class="section-title">Jūsu veikali</h2>

                            <div class="row">
                                {% if shop %}
                                <div class="table-responsive">
                                <table class="table table-shopping">
                                    <thead>
                                    <tr>
                                        <th>Nosaukums</th>
                                        <th>ID</th>
                                        <th>Adrese</th>
                                        <th class="text-right"></th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for shop in shop %}
                                    <tr>
                                        <td>{{ shop.name }}</td>
                                        <td>{{shop.code}}</td>
                                        <td>{{shop.city}}, {{shop.street}} {{shop.number}}, {{shop.postal_code}}</td>
                                        <td class="td-actions text-right">
                                                <form method="POST" action="{% url 'shops:delete' shop.id %}">
                                                    {% csrf_token %}
                                                    <a href="{% url 'shops:edit' shop.id %}">
                                                        <button type="button" rel="tooltip" class="btn btn-success btn-round btn-just-icon btn-sm" data-original-title="" title="">
                                                            <i class="material-icons">edit</i>
                                                        </button>
                                                    </a>
                                                    <a href="{% url 'shops:delete' shop.id %}">
                                                    <button type="submit" rel="tooltip" class="btn btn-danger btn-round btn-just-icon btn-sm" data-original-title="" title="" onClick="return confirm('Vai tiešām vēlaties dzēst?');">
                                                        <i class="material-icons">close</i>
                                                    </button>
                                                    </a>
                                                </form>
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                                <p>
                                    <a href="{% url 'shops:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                </p>
                                </div>
                                {% else %}
                                <p> 
                                    <a href="{% url 'shops:new' %}" class="btn btn-success btn-round btn-just-icon btn-md">
                                        <i class="material-icons">add</i>
                                    </a>
                                    Veikalu nav. Pievienot jaunu veikalu.
                                </p>
                                {% endif %}  
                            </div>
                    
                        </div>
                    </div>    
            
                </div>
        </div>
    </div>

  

{% endblock %}